Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class SeriesLabelsRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.SeriesLabelsRecord

public class SeriesLabelsRecord
extends Record

The series label record defines the type of label associated with the data format record. NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/records/definitions.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` | `sid`

Constructor Summary
`SeriesLabelsRecord()`
`SeriesLabelsRecord(short id, short size, byte[] data)` Constructs a SeriesLabels record and sets its fields appropriately.
`SeriesLabelsRecord(short id, short size, byte[] data, int offset)` Constructs a SeriesLabels record and sets its fields appropriately.

Method Summary
`java.lang.Object` | `clone()`
`protected void` | `fillFields(byte[] data, short size, int offset)` called by the constructor, should set class level fields.
`short` | `getFormatFlags()` Get the format flags field for the SeriesLabels record.
`int` | `getRecordSize()` Size of record (exluding 4 byte header)
`short` | `getSid()` return the non static version of the id for this record.
`boolean` | `isLabelAsPercentage()` show category label/value as percentage (pie charts only)
`boolean` | `isShowActual()` show actual value of the data point
`boolean` | `isShowBubbleSizes()` ??
`boolean` | `isShowLabel()` display category label
`boolean` | `isShowPercent()` show value as percentage of total (pie charts only)
`boolean` | `isSmoothedLine()` show smooth line
`int` | `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`void` | `setFormatFlags(short field_1_formatFlags)` Set the format flags field for the SeriesLabels record.
`void` | `setLabelAsPercentage(boolean value)` Sets the label as percentage field value.
`void` | `setShowActual(boolean value)` Sets the show actual field value.
`void` | `setShowBubbleSizes(boolean value)` Sets the show bubble sizes field value.
`void` | `setShowLabel(boolean value)` Sets the show label field value.
`void` | `setShowPercent(boolean value)` Sets the show percent field value.
`void` | `setSmoothedLine(boolean value)` Sets the smoothed line field value.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)
`protected void` | `validateSid(short id)` Checks the sid matches the expected side for this record

Methods inherited from class org.apache.poi.hssf.record.Record
`fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### SeriesLabelsRecord

    public SeriesLabelsRecord()

### SeriesLabelsRecord

    public SeriesLabelsRecord(short id,
                              short size,
                              byte[] data)

  Constructs a SeriesLabels record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x100c or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)

### SeriesLabelsRecord

    public SeriesLabelsRecord(short id,
                              short size,
                              byte[] data,
                              int offset)

  Constructs a SeriesLabels record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x100c or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)
  `offset` - of the record's data

Method Detail

### validateSid

    protected void validateSid(short id)

  Checks the sid matches the expected side for this record

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - the expected sid.

### fillFields

    protected void fillFields(byte[] data,
                              short size,
                              int offset)

  Description copied from class: `Record`
  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `Record`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public int getRecordSize()

  Size of record (exluding 4 byte header)

  Overrides:
    `getRecordSize` in class `Record`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getFormatFlags

    public short getFormatFlags()

  Get the format flags field for the SeriesLabels record.

### setFormatFlags

    public void setFormatFlags(short field_1_formatFlags)

  Set the format flags field for the SeriesLabels record.

### setShowActual

    public void setShowActual(boolean value)

  Sets the show actual field value. show actual value of the data point

### isShowActual

    public boolean isShowActual()

  show actual value of the data point

  Returns:
    the show actual field value.

### setShowPercent

    public void setShowPercent(boolean value)

  Sets the show percent field value. show value as percentage of total (pie charts only)

### isShowPercent

    public boolean isShowPercent()

  show value as percentage of total (pie charts only)

  Returns:
    the show percent field value.

### setLabelAsPercentage

    public void setLabelAsPercentage(boolean value)

  Sets the label as percentage field value. show category label/value as percentage (pie charts only)

### isLabelAsPercentage

    public boolean isLabelAsPercentage()

  show category label/value as percentage (pie charts only)

  Returns:
    the label as percentage field value.

### setSmoothedLine

    public void setSmoothedLine(boolean value)

  Sets the smoothed line field value. show smooth line

### isSmoothedLine

    public boolean isSmoothedLine()

  show smooth line

  Returns:
    the smoothed line field value.

### setShowLabel

    public void setShowLabel(boolean value)

  Sets the show label field value. display category label

### isShowLabel

    public boolean isShowLabel()

  display category label

  Returns:
    the show label field value.

### setShowBubbleSizes

    public void setShowBubbleSizes(boolean value)

  Sets the show bubble sizes field value. ??

### isShowBubbleSizes

    public boolean isShowBubbleSizes()

  ??

  Returns:
    the show bubble sizes field value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.